GFS_PIO_WRITE(3)

NAME
gfs_pio_write - write to a file

SYNOPSIS

#include <gfarm/gfarm.h>

gfarm_error_t gfs_pio_write(GFS_File gf, const void * buffer, int size, int * np);

DESCRIPTION

gfs_pio_write() writes up to size bytes to the file gf from the buffer starting at buffer. It returns the number of bytes written to the address pointed by np.

RETURN VALUES

GFARM_ERR_NO_ERROR
    The function terminated successfully.

GFARM_ERR_OPERATION_NOT_PERMITTED
    gf does not specify a regular file.

GFARM_ERR_BAD_FILE_DESCRIPTOR
    The file descripter specified by gfp is not a valid or is not open for writing.

GFARM_ERR_NO_SPACE
    The file system node has no room to store data

GFARM_ERR_NO_FILE_SYSTEM_NODE
    There is no available file system node.

GFARM_ERR_NO_MEMORY
    Insufficient memory was available.

Others
    An error except the above occurred. The reason is shown by gfarm_error_string(3).

SEE ALSO

gfs_pio_create(3), gfs_pio_flush(3), gfs_pio_open(3)